A quote's source: what to play and from which second, the episode or the event, who spoke when, and the other quotes
curl --request GET \
--url https://api.poddata.ai/v1/quotes/{id}/source \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poddata.ai/v1/quotes/{id}/source"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poddata.ai/v1/quotes/{id}/source', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.poddata.ai/v1/quotes/{id}/source",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.poddata.ai/v1/quotes/{id}/source"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.poddata.ai/v1/quotes/{id}/source")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.poddata.ai/v1/quotes/{id}/source")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"kind": "episode",
"shown": "passages",
"removed": true,
"quote": {
"id": "<string>",
"text": "<string>",
"speaker": {
"id": "<string>",
"name": "<string>",
"status": "confirmed",
"role": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"page": "<string>"
},
"show": {
"id": "<string>",
"name": "<string>",
"page": "<string>"
},
"episode": {
"id": "<string>",
"title": "<string>",
"date": "2023-12-25"
},
"starts_at": 123,
"ends_at": 123,
"clock": "video",
"url": "<string>",
"source_url": "<string>",
"cite": "<string>",
"corrected": {
"at": "2023-11-07T05:31:56Z",
"field": "speaker"
},
"event": {
"id": "<string>",
"type": "earnings_call",
"title": "<string>",
"date": "2023-12-25",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"fiscal_year": 123,
"fiscal_period": "Q1",
"chapter": {
"n": 123,
"kind": "remarks",
"title": "<string>",
"starts_at": 123,
"ends_at": 123,
"analyst": "<string>",
"firm": "<string>"
}
},
"names": [
{
"kind": "company",
"name": "<string>",
"said": "<string>",
"id": "<string>",
"ticker": "<string>",
"exchange": "<string>"
}
],
"claim": {
"kind": "forecast",
"due": {
"said": "<string>",
"from": "2023-12-25",
"to": "2023-12-25"
}
},
"spelled": [
{
"heard": "<string>",
"fixed": "<string>"
}
],
"match_spans": [
{
"from": 1,
"to": 1
}
]
},
"passage": {
"id": "<string>",
"document": "<string>",
"n": 123,
"page": 123,
"kind": "text",
"text": "<string>",
"word_count": 123,
"place": {
"boxes": [
{
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
],
"start": 123,
"end": 123
},
"article": {
"outlet": "<string>",
"part": "question",
"said_by": {
"id": "<string>",
"name": "<string>"
},
"cite": "<string>"
}
},
"episode": {
"id": "<string>",
"title": "<string>",
"date": "2023-12-25",
"duration": 123,
"show": {
"id": "<string>",
"name": "<string>"
},
"guests": [
{
"id": "<string>",
"name": "<string>",
"role": "<string>"
}
]
},
"event": {
"id": "<string>",
"title": "<string>",
"type": "<string>",
"date": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"duration": 123,
"transcript": "<string>",
"audio": "<string>",
"replay": "open",
"page_url": "<string>"
},
"document": {
"id": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"event": {
"id": "<string>",
"title": "<string>",
"type": "<string>",
"date": "<string>"
},
"kind": "report",
"group": "earnings_release",
"type": {
"id": "<string>",
"name": "<string>"
},
"form": "<string>",
"exhibit": "<string>",
"title": "<string>",
"filed": "2023-12-25",
"accepted_at": "2023-11-07T05:31:56Z",
"period_end": "2023-12-25",
"fiscal": {
"year": 123,
"period": "Q1"
},
"pages": 123,
"source": "edgar",
"source_url": "<string>",
"filing_url": "<string>",
"shown": "passages",
"file_url": "<string>",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"article": {
"form": "interview",
"outlet": {
"id": "<string>",
"name": "<string>"
},
"author": "<string>",
"published_at": "<string>",
"people": [
{
"id": "<string>",
"name": "<string>",
"role": "interviewed"
}
]
}
},
"page": {
"id": "<string>",
"document": "<string>",
"number": 123,
"label": "<string>",
"title": "<string>",
"section": "<string>",
"word_count": 123,
"source_url": "<string>",
"text": "<string>",
"image_url": "<string>"
},
"labels": [
{
"text": "<string>",
"x": 123,
"y": 123
}
],
"open": {
"what": "video",
"url": "<string>",
"embed": "youtube",
"video": "<string>",
"starts_at": 123,
"ends_at": 123,
"clock": "video",
"page": 123,
"copy_url": "<string>",
"copy_expires": "2023-11-07T05:31:56Z"
},
"outline": {
"speakers": [
{
"index": 123,
"id": "<string>",
"name": "<string>",
"role": "<string>",
"company": "<string>",
"status": "confirmed"
}
],
"turns": [
{
"speaker": 123,
"starts_at": 123,
"ends_at": 123,
"chapter": "<string>",
"word_count": 123,
"text": "<string>",
"source_url": "<string>",
"words": [
{
"text": "<string>",
"starts_at": 123,
"ends_at": 123,
"confidence": 0.5
}
]
}
],
"chapters": [
{
"id": "<string>",
"transcript": "<string>",
"parent": "<string>",
"level": 123,
"kind": "remarks",
"title": "<string>",
"starts_at": 123,
"ends_at": 123,
"asker": {
"name": "<string>",
"company": "<string>"
},
"from": "show"
}
],
"chapters_missing": "<string>",
"sections": [
{
"title": "<string>",
"item": "<string>",
"level": 123,
"first_page": 123,
"last_page": 123
}
],
"missing": "<string>"
},
"near": {
"quotes": [
{
"id": "<string>",
"text": "<string>",
"speaker": {
"id": "<string>",
"name": "<string>",
"status": "confirmed",
"role": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"page": "<string>"
},
"show": {
"id": "<string>",
"name": "<string>",
"page": "<string>"
},
"episode": {
"id": "<string>",
"title": "<string>",
"date": "2023-12-25"
},
"starts_at": 123,
"ends_at": 123,
"clock": "video",
"url": "<string>",
"source_url": "<string>",
"cite": "<string>",
"corrected": {
"at": "2023-11-07T05:31:56Z",
"field": "speaker"
},
"event": {
"id": "<string>",
"type": "earnings_call",
"title": "<string>",
"date": "2023-12-25",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"fiscal_year": 123,
"fiscal_period": "Q1",
"chapter": {
"n": 123,
"kind": "remarks",
"title": "<string>",
"starts_at": 123,
"ends_at": 123,
"analyst": "<string>",
"firm": "<string>"
}
},
"names": [
{
"kind": "company",
"name": "<string>",
"said": "<string>",
"id": "<string>",
"ticker": "<string>",
"exchange": "<string>"
}
],
"claim": {
"kind": "forecast",
"due": {
"said": "<string>",
"from": "2023-12-25",
"to": "2023-12-25"
}
},
"spelled": [
{
"heard": "<string>",
"fixed": "<string>"
}
],
"match_spans": [
{
"from": 1,
"to": 1
}
]
}
],
"passages": [
{
"id": "<string>",
"n": 123,
"kind": "text",
"word_count": 123,
"place": {
"boxes": [
{
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
],
"start": 123,
"end": 123
}
}
]
}
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}Quotes
A quote's source: what to play and from which second, the episode or the event, who spoke when, and the other quotes
GET
/
quotes
/
{id}
/
source
A quote's source: what to play and from which second, the episode or the event, who spoke when, and the other quotes
curl --request GET \
--url https://api.poddata.ai/v1/quotes/{id}/source \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poddata.ai/v1/quotes/{id}/source"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poddata.ai/v1/quotes/{id}/source', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.poddata.ai/v1/quotes/{id}/source",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.poddata.ai/v1/quotes/{id}/source"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.poddata.ai/v1/quotes/{id}/source")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.poddata.ai/v1/quotes/{id}/source")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"kind": "episode",
"shown": "passages",
"removed": true,
"quote": {
"id": "<string>",
"text": "<string>",
"speaker": {
"id": "<string>",
"name": "<string>",
"status": "confirmed",
"role": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"page": "<string>"
},
"show": {
"id": "<string>",
"name": "<string>",
"page": "<string>"
},
"episode": {
"id": "<string>",
"title": "<string>",
"date": "2023-12-25"
},
"starts_at": 123,
"ends_at": 123,
"clock": "video",
"url": "<string>",
"source_url": "<string>",
"cite": "<string>",
"corrected": {
"at": "2023-11-07T05:31:56Z",
"field": "speaker"
},
"event": {
"id": "<string>",
"type": "earnings_call",
"title": "<string>",
"date": "2023-12-25",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"fiscal_year": 123,
"fiscal_period": "Q1",
"chapter": {
"n": 123,
"kind": "remarks",
"title": "<string>",
"starts_at": 123,
"ends_at": 123,
"analyst": "<string>",
"firm": "<string>"
}
},
"names": [
{
"kind": "company",
"name": "<string>",
"said": "<string>",
"id": "<string>",
"ticker": "<string>",
"exchange": "<string>"
}
],
"claim": {
"kind": "forecast",
"due": {
"said": "<string>",
"from": "2023-12-25",
"to": "2023-12-25"
}
},
"spelled": [
{
"heard": "<string>",
"fixed": "<string>"
}
],
"match_spans": [
{
"from": 1,
"to": 1
}
]
},
"passage": {
"id": "<string>",
"document": "<string>",
"n": 123,
"page": 123,
"kind": "text",
"text": "<string>",
"word_count": 123,
"place": {
"boxes": [
{
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
],
"start": 123,
"end": 123
},
"article": {
"outlet": "<string>",
"part": "question",
"said_by": {
"id": "<string>",
"name": "<string>"
},
"cite": "<string>"
}
},
"episode": {
"id": "<string>",
"title": "<string>",
"date": "2023-12-25",
"duration": 123,
"show": {
"id": "<string>",
"name": "<string>"
},
"guests": [
{
"id": "<string>",
"name": "<string>",
"role": "<string>"
}
]
},
"event": {
"id": "<string>",
"title": "<string>",
"type": "<string>",
"date": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"duration": 123,
"transcript": "<string>",
"audio": "<string>",
"replay": "open",
"page_url": "<string>"
},
"document": {
"id": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"event": {
"id": "<string>",
"title": "<string>",
"type": "<string>",
"date": "<string>"
},
"kind": "report",
"group": "earnings_release",
"type": {
"id": "<string>",
"name": "<string>"
},
"form": "<string>",
"exhibit": "<string>",
"title": "<string>",
"filed": "2023-12-25",
"accepted_at": "2023-11-07T05:31:56Z",
"period_end": "2023-12-25",
"fiscal": {
"year": 123,
"period": "Q1"
},
"pages": 123,
"source": "edgar",
"source_url": "<string>",
"filing_url": "<string>",
"shown": "passages",
"file_url": "<string>",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"article": {
"form": "interview",
"outlet": {
"id": "<string>",
"name": "<string>"
},
"author": "<string>",
"published_at": "<string>",
"people": [
{
"id": "<string>",
"name": "<string>",
"role": "interviewed"
}
]
}
},
"page": {
"id": "<string>",
"document": "<string>",
"number": 123,
"label": "<string>",
"title": "<string>",
"section": "<string>",
"word_count": 123,
"source_url": "<string>",
"text": "<string>",
"image_url": "<string>"
},
"labels": [
{
"text": "<string>",
"x": 123,
"y": 123
}
],
"open": {
"what": "video",
"url": "<string>",
"embed": "youtube",
"video": "<string>",
"starts_at": 123,
"ends_at": 123,
"clock": "video",
"page": 123,
"copy_url": "<string>",
"copy_expires": "2023-11-07T05:31:56Z"
},
"outline": {
"speakers": [
{
"index": 123,
"id": "<string>",
"name": "<string>",
"role": "<string>",
"company": "<string>",
"status": "confirmed"
}
],
"turns": [
{
"speaker": 123,
"starts_at": 123,
"ends_at": 123,
"chapter": "<string>",
"word_count": 123,
"text": "<string>",
"source_url": "<string>",
"words": [
{
"text": "<string>",
"starts_at": 123,
"ends_at": 123,
"confidence": 0.5
}
]
}
],
"chapters": [
{
"id": "<string>",
"transcript": "<string>",
"parent": "<string>",
"level": 123,
"kind": "remarks",
"title": "<string>",
"starts_at": 123,
"ends_at": 123,
"asker": {
"name": "<string>",
"company": "<string>"
},
"from": "show"
}
],
"chapters_missing": "<string>",
"sections": [
{
"title": "<string>",
"item": "<string>",
"level": 123,
"first_page": 123,
"last_page": 123
}
],
"missing": "<string>"
},
"near": {
"quotes": [
{
"id": "<string>",
"text": "<string>",
"speaker": {
"id": "<string>",
"name": "<string>",
"status": "confirmed",
"role": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"page": "<string>"
},
"show": {
"id": "<string>",
"name": "<string>",
"page": "<string>"
},
"episode": {
"id": "<string>",
"title": "<string>",
"date": "2023-12-25"
},
"starts_at": 123,
"ends_at": 123,
"clock": "video",
"url": "<string>",
"source_url": "<string>",
"cite": "<string>",
"corrected": {
"at": "2023-11-07T05:31:56Z",
"field": "speaker"
},
"event": {
"id": "<string>",
"type": "earnings_call",
"title": "<string>",
"date": "2023-12-25",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"fiscal_year": 123,
"fiscal_period": "Q1",
"chapter": {
"n": 123,
"kind": "remarks",
"title": "<string>",
"starts_at": 123,
"ends_at": 123,
"analyst": "<string>",
"firm": "<string>"
}
},
"names": [
{
"kind": "company",
"name": "<string>",
"said": "<string>",
"id": "<string>",
"ticker": "<string>",
"exchange": "<string>"
}
],
"claim": {
"kind": "forecast",
"due": {
"said": "<string>",
"from": "2023-12-25",
"to": "2023-12-25"
}
},
"spelled": [
{
"heard": "<string>",
"fixed": "<string>"
}
],
"match_spans": [
{
"from": 1,
"to": 1
}
]
}
],
"passages": [
{
"id": "<string>",
"n": 123,
"kind": "text",
"word_count": 123,
"place": {
"boxes": [
{
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
],
"start": 123,
"end": 123
}
}
]
}
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}Authorizations
Response
The quote's source